﻿.page-header-fixed {
    padding-top:0;
}

.header {
    width: 220px;
}

.pace-progress {
    height:8px;
}

@media only screen and (max-width: 767px) {
    .header {
        width:100%;
    }

    .page-header-fixed {
        padding-top: 50px;
    }

}

.fis-nav-tabs {
    border-bottom: solid 4px #000 !important;
}

.fis-nav-tabs .nav-tabs .nav-item.show .nav-link, .fis-nav-tabs .nav-link.active {
    background-color: #000 !important;
    color: #fff !important;
}

.objednavkaHeader {
    border-bottom: solid 1px #ccc;
    margin-bottom: 1rem;
}

.table-condensed td {
    padding:5px 5px !important;
    border-collapse:unset !important;
}

tbody.datumovka:first-child > tr:first-of-type td#datum {
    font-weight: bold !important;
}

/*tr i[class^='pohyblivyDodavatel']:first-of-type {
    color: #F60 !important;
}*/

tr.group,
tr.group:hover {
    background-color: #ddd !important;
}

tr.group-lvl-1-header {
    background-color: orange !important;
}

tr.group-lvl-1-footer {
    font-weight: bold;
    border-top: 3px solid orange;
}

tr.group-lvl-2-header {
    background-color: lightgrey !important;
}

tr.group-lvl-2-footer {
    font-weight: normal;
    background-color: lightgrey !important;
}

.min-height-300 {
    min-height: 300px;
}

.min-height-600 {
    min-height: 600px;
}

.min-height-800 {
    min-height: 750px;
}

.loading-block {
    width: 100%;
    height: 100%;
    min-height: 200px;
    background-image: url('/Content/loading_fb.gif');
    background-repeat: no-repeat;
    background-position: center;
}

.border-box {
    border: 1px solid black;
}

.scrollable-dropdown-menu .tt-menu {
    max-height: 30vh;
    overflow-y: auto;
    background-color: red;
}

.fis-tabs {
    background-color: initial;
    /*border-bottom: 1px solid black !important;*/
    position:absolute;
    bottom:0;
}

    .fis-tabs li {
        margin-bottom: -1px !important;
    }

    .fis-tabs .nav-link:not(.active):hover {
        border-bottom: 1px solid #ccc !important;
    }

    .fis-tabs > .nav-item > .nav-link {
        padding: 5px 15px 2px !important;
        font-weight: bold;
    }

    .fis-tabs .nav-link.active {
        /*background-color: #d5d7d8;*/
        border-top: 1px solid #ccc !important;
        border-left: 1px solid #ccc !important;
        border-right: 1px solid #ccc !important;
        border-bottom: 1px solid #e4e7e8 !important;
        background: #d5d7d8; /* Old browsers */
        background: -moz-linear-gradient(top, #fff4bc 0%, #e4e7e8 100%); /* FF3.6-15 */
        background: -webkit-linear-gradient(top, #fff4bc 0%,#e4e7e8 100%); /* Chrome10-25,Safari5.1-6 */
        background: linear-gradient(to bottom, #fff4bc 0%,#e4e7e8 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
        filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fff4bc', endColorstr='#e4e7e8',GradientType=0 ); /* IE6-9 */
    }

.popover {
    max-width: 400px;
}

/*custom outline buttons*/

/* outline-pink */

.btn.btn-outline-pink,
.btn.btn-outline-pink.disabled,
.btn.btn-outline-pink.disabled:hover,
.btn.btn-outline-pink.disabled:focus,
.btn.btn-outline-pink[disabled],
.btn.btn-outline-pink[disabled]:hover,
.btn.btn-outline-pink[disabled]:focus {
    color: #fb5597;
    background: transparent;
    border-color: #fb5597;
}

.btn-outline-pink:hover,
.btn-outline-pink:focus,
.btn-outline-pink:active,
.btn-outline-pink.active,
.btn-outline-pink.active.focus,
.btn-outline-pink.active:focus,
.btn-outline-pink.active:hover,
.btn-outline-pink:active.focus,
.btn-outline-pink:active:focus,
.btn-outline-pink:active:hover,
.show > .btn-outline-pink.dropdown-toggle,
.open > .dropdown-toggle.btn-outline-pink,
.open > .dropdown-toggle.btn-outline-pink:hover,
.open > .dropdown-toggle.btn-outline-pink:focus,
.btn-outline-pink:not(:disabled):not(.disabled).active,
.btn-outline-pink:not(:disabled):not(.disabled):active {
    background: #bc4071;
    border-color: #bc4071;
    color:#fff;
}

.input-group-append .btn.btn-outline-pink,
.btn-group .btn.btn-outline-pink:not(.active) + .btn.btn-outline-pink,
.input-group-btn .btn.btn-outline-pink:not(.active) + .btn.btn-outline-pink {
    border-left-color: #bc4071;
}

.input-group-prepend .btn.btn-outline-pink {
    border-right-color: #bc4071;
}

/* outline-green */

.btn.btn-outline-green,
.btn.btn-outline-green.disabled,
.btn.btn-outline-green.disabled:hover,
.btn.btn-outline-green.disabled:focus,
.btn.btn-outline-green[disabled],
.btn.btn-outline-green[disabled]:hover,
.btn.btn-outline-green[disabled]:focus {
    color: #32a932;
    background: transparent;
    border-color: #32a932;
}

.btn-outline-green:hover,
.btn-outline-green:focus,
.btn-outline-green:active,
.btn-outline-green.active,
.btn-outline-green.active.focus,
.btn-outline-green.active:focus,
.btn-outline-green.active:hover,
.btn-outline-green:active.focus,
.btn-outline-green:active:focus,
.btn-outline-green:active:hover,
.show > .btn-outline-green.dropdown-toggle,
.open > .dropdown-toggle.btn-outline-green,
.open > .dropdown-toggle.btn-outline-green:hover,
.open > .dropdown-toggle.btn-outline-green:focus,
.btn-outline-green:not(:disabled):not(.disabled).active,
.btn-outline-green:not(:disabled):not(.disabled):active {
    background: #32a932;
    border-color: #32a932;
    color: #fff;
}

.input-group-append .btn.btn-outline-green,
.btn-group .btn.btn-outline-green:not(.active) + .btn.btn-outline-green,
.input-group-btn .btn.btn-outline-green:not(.active) + .btn.btn-outline-green {
    border-left-color: #32a932;
}

.input-group-prepend .btn.btn-outline-green {
    border-right-color: #32a932;
}

/* outline-indigo */

.btn.btn-outline-indigo,
.btn.btn-outline-indigo.disabled,
.btn.btn-outline-indigo.disabled:hover,
.btn.btn-outline-indigo.disabled:focus,
.btn.btn-outline-indigo[disabled],
.btn.btn-outline-indigo[disabled]:hover,
.btn.btn-outline-indigo[disabled]:focus {
    color: #8753de;
    background: transparent;
    border-color: #8753de;
}

.btn-outline-indigo:hover,
.btn-outline-indigo:focus,
.btn-outline-indigo:active,
.btn-outline-indigo.active,
.btn-outline-indigo.active.focus,
.btn-outline-indigo.active:focus,
.btn-outline-indigo.active:hover,
.btn-outline-indigo:active.focus,
.btn-outline-indigo:active:focus,
.btn-outline-indigo:active:hover,
.show > .btn-outline-indigo.dropdown-toggle,
.open > .dropdown-toggle.btn-outline-indigo,
.open > .dropdown-toggle.btn-outline-indigo:hover,
.open > .dropdown-toggle.btn-outline-indigo:focus,
.btn-outline-indigo:not(:disabled):not(.disabled).active,
.btn-outline-indigo:not(:disabled):not(.disabled):active {
    background: #653ea6;
    border-color: #653ea6;
    color: #fff;
}

.input-group-append .btn.btn-outline-indigo,
.btn-group .btn.btn-outline-indigo:not(.active) + .btn.btn-outline-indigo,
.input-group-btn .btn.btn-outline-indigo:not(.active) + .btn.btn-outline-indigo {
    border-left-color: #653ea6;
}

.input-group-prepend .btn.btn-outline-indigo {
    border-right-color: #653ea6;
}

/* outline-lime */

.btn.btn-outline-lime,
.btn.btn-outline-lime.disabled,
.btn.btn-outline-lime.disabled:hover,
.btn.btn-outline-lime.disabled:focus,
.btn.btn-outline-lime[disabled],
.btn.btn-outline-lime[disabled]:hover,
.btn.btn-outline-lime[disabled]:focus {
    color: #90ca4b;
    background: transparent;
    border-color: #90ca4b;
}

.btn-outline-lime:hover,
.btn-outline-lime:focus,
.btn-outline-lime:active,
.btn-outline-lime.active,
.btn-outline-lime.active.focus,
.btn-outline-lime.active:focus,
.btn-outline-lime.active:hover,
.btn-outline-lime:active.focus,
.btn-outline-lime:active:focus,
.btn-outline-lime:active:hover,
.show > .btn-outline-lime.dropdown-toggle,
.open > .dropdown-toggle.btn-outline-lime,
.open > .dropdown-toggle.btn-outline-lime:hover,
.open > .dropdown-toggle.btn-outline-lime:focus,
.btn-outline-lime:not(:disabled):not(.disabled).active,
.btn-outline-lime:not(:disabled):not(.disabled):active {
    background: #6c9738;
    border-color: #6c9738;
    color: #fff;
}

.input-group-append .btn.btn-outline-lime,
.btn-group .btn.btn-outline-lime:not(.active) + .btn.btn-outline-lime,
.input-group-btn .btn.btn-outline-lime:not(.active) + .btn.btn-outline-lime {
    border-left-color: #6c9738;
}

.input-group-prepend .btn.btn-outline-lime {
    border-right-color: #6c9738;
}

/* outline-purple */

.btn.btn-outline-purple,
.btn.btn-outline-purple.disabled,
.btn.btn-outline-purple.disabled:hover,
.btn.btn-outline-purple.disabled:focus,
.btn.btn-outline-purple[disabled],
.btn.btn-outline-purple[disabled]:hover,
.btn.btn-outline-purple[disabled]:focus {
    color: #727cb6;
    background: transparent;
    border-color: #727cb6;
}

.btn-outline-purple:hover,
.btn-outline-purple:focus,
.btn-outline-purple:active,
.btn-outline-purple.active,
.btn-outline-purple.active.focus,
.btn-outline-purple.active:focus,
.btn-outline-purple.active:hover,
.btn-outline-purple:active.focus,
.btn-outline-purple:active:focus,
.btn-outline-purple:active:hover,
.show > .btn-outline-purple.dropdown-toggle,
.open > .dropdown-toggle.btn-outline-purple,
.open > .dropdown-toggle.btn-outline-purple:hover,
.open > .dropdown-toggle.btn-outline-purple:focus,
.btn-outline-purple:not(:disabled):not(.disabled).active,
.btn-outline-purple:not(:disabled):not(.disabled):active {
    background: #555d88;
    border-color: #555d88;
    color: #fff;
}

.input-group-append .btn.btn-outline-purple,
.btn-group .btn.btn-outline-purple:not(.active) + .btn.btn-outline-purple,
.input-group-btn .btn.btn-outline-purple:not(.active) + .btn.btn-outline-purple {
    border-left-color: #555d88;
}

.input-group-prepend .btn.btn-outline-purple {
    border-right-color: #555d88;
}

/* outline-yellow */

.btn.btn-outline-yellow,
.btn.btn-outline-yellow.disabled,
.btn.btn-outline-yellow.disabled:hover,
.btn.btn-outline-yellow.disabled:focus,
.btn.btn-outline-yellow[disabled],
.btn.btn-outline-yellow[disabled]:hover,
.btn.btn-outline-yellow[disabled]:focus {
    color: #96800E;
    background: transparent;
    border-color: #96800E;
}

.btn-outline-yellow:hover,
.btn-outline-yellow:focus,
.btn-outline-yellow:active,
.btn-outline-yellow.active,
.btn-outline-yellow.active.focus,
.btn-outline-yellow.active:focus,
.btn-outline-yellow.active:hover,
.btn-outline-yellow:active.focus,
.btn-outline-yellow:active:focus,
.btn-outline-yellow:active:hover,
.show > .btn-outline-yellow.dropdown-toggle,
.open > .dropdown-toggle.btn-outline-yellow,
.open > .dropdown-toggle.btn-outline-yellow:hover,
.open > .dropdown-toggle.btn-outline-yellow:focus,
.btn-outline-yellow:not(:disabled):not(.disabled).active,
.btn-outline-yellow:not(:disabled):not(.disabled):active {
    background: #bfa300;
    border-color: #bfa300;
    color: #fff;
}

.input-group-append .btn.btn-outline-yellow,
.btn-group .btn.btn-outline-yellow:not(.active) + .btn.btn-outline-yellow,
.input-group-btn .btn.btn-outline-yellow:not(.active) + .btn.btn-outline-yellow {
    border-left-color: #bfa300;
}

.input-group-prepend .btn.btn-outline-yellow {
    border-right-color: #bfa300;
}

#editbar {
    position: fixed;
    width: 100%;
    background-color: #ffee90;
    z-index:1;
    min-height: initial;
}

.fis-barva > td, .fis-barva > th {
    /*background-color: #ffd4a4 !important;*/
    background-color: #ffead3 !important;
    color: #b25d00;
}

.fis-barva-dva > td, .fis-barva-dva > th {
    /*background-color: #ffecc1 !important;*/
    background-color: #fff6e3 !important;
    color: #cb8e00;
}

.fis-fc-error > td, .fis-fc-error > th {
    /*background-color: #ffecc1 !important;*/
    background-color: #ff6161 !important;
    color: #cf0000;
}

.form-control-xs {
    height: 22px;
    padding: 2px 5px;
    font-size: 12px;
    line-height: 1.5; /* If Placeholder of the input is moved up, rem/modify this. */
    border-radius: 3px;
}

.no-search .select2-search {
    display: none
}

.show-more {
    cursor: pointer;
}

.show-more:hover {
    background-color: lightgrey;
}

.content {
    min-height: calc(100vh - 50px);
}

/*.select2-container--default .select2-results > .select2-results__options {
    max-height: 400px;
}*/

/* form hints */
.custom-form-hint {
    position:absolute;
    margin-top:0.1rem;
    padding:.25rem .5rem;
    color:#fff;
    border-radius:.25rem;
    z-index:5;
    opacity:.9;
}

.custom-form-hint-yellow {
    background-color: orange;
}

.custom-form-hint-red {
    background-color: red;
}

.field-validation-error {
    position: absolute;
    margin-top: 0.1rem;
    padding: .25rem .5rem;
    color: #fff !important;
    background-color: red;
    border-radius: .25rem;
    z-index: 10;
    opacity: 1;
}

.fis-clickable-row {
    cursor: pointer;
}